Пікірлер
@Himanshu-z5l
@Himanshu-z5l 7 күн бұрын
good bro keep posting more videos
@codingcart
@codingcart 7 күн бұрын
Glad it helped😊. Please do share with your friends too😊
@vishalkumar-gz4kz
@vishalkumar-gz4kz 8 күн бұрын
code is not working properly in python3. used pypy3 for this code if __name__ == '__main__': n = int(input()) integer_list =tuple( map(int, input().split())) print(hash(integer_list))
@vinamrasangal8436
@vinamrasangal8436 10 күн бұрын
thanks
@ashwanikumardwivedi6343
@ashwanikumardwivedi6343 29 күн бұрын
I think we can also use hashmap
@codingcart
@codingcart 28 күн бұрын
Give a try 😎
@yashwani8155
@yashwani8155 Ай бұрын
very well explained! for people looking for a reference, here is the law at play: if p = (A mod k) and q = (B mod k) and (A+B) mod k = 0, then p+q is either 0 or k.
@UnknownGamer-lw7zp
@UnknownGamer-lw7zp Ай бұрын
Tq it clear
@codingcart
@codingcart Ай бұрын
Glad it helped😊. Please do share with your friends too😊
@manojkumarparuchuri5920
@manojkumarparuchuri5920 Ай бұрын
Excellent video thanku
@codingcart
@codingcart Ай бұрын
Glad it helped😊. Please do share with your friends too😊
@sugamk.n4260
@sugamk.n4260 Ай бұрын
nice explanation👍
@codingcart
@codingcart Ай бұрын
Glad it helped😊. Please do share with your friends too😊
@sapnapatle2309
@sapnapatle2309 Ай бұрын
Hello
@manojkumarparuchuri5920
@manojkumarparuchuri5920 Ай бұрын
thank you so much please solve insertion sort 1 problem available in hackerrank
@MWDHO3
@MWDHO3 Ай бұрын
probably you should use S1=S1+S.count(s[i:])
@sandeepkumartiwari8436
@sandeepkumartiwari8436 Ай бұрын
happiness=0 n,m=map(int,input().split()) array=list(map(int,input().split())) A=set(map(int,input().split())) B=set(map(int,input().split())) for i in array: if i in A: happiness+=1 elif i in B: happiness-=1 print(happiness)
@huypham30
@huypham30 2 ай бұрын
i need the code to connect to the real device please
@Mayank_Bairagi
@Mayank_Bairagi 2 ай бұрын
Tree playlist: completed✅ Graph playlist: completed✅ Thank you sir hope you will upload more DSA playlist using python
@codingcart
@codingcart 2 ай бұрын
Currently busy in my office project, but will try to upload the videos.. And glad to hear that you liked the teaching style 😎
@tanishgotti3659
@tanishgotti3659 2 ай бұрын
very good explination
@codingcart
@codingcart 2 ай бұрын
Glad it helped😊. Please do share with your friends too😊
@Mayank_Bairagi
@Mayank_Bairagi 2 ай бұрын
Sir plz start uploading this valuable videos.your videos is really helpful for me
@R_SinghRajput
@R_SinghRajput 2 ай бұрын
Very well taught , visualisation is very important . Thanks a lot bro
@codingcart
@codingcart 2 ай бұрын
Glad it helped😊. Please do share with your friends too😊
@Mayank_Bairagi
@Mayank_Bairagi 2 ай бұрын
Sir itni jaldi khatam ho gi pata ni chala
@snehasighakolli3703
@snehasighakolli3703 2 ай бұрын
Clear explanation ever. Keep making more such solutions
@snehasighakolli3703
@snehasighakolli3703 2 ай бұрын
Great explanation ever even begineers understands easily👏
@shreyaslinge5106
@shreyaslinge5106 2 ай бұрын
Under rated channel, you deserve more subs!
@Mayank_Bairagi
@Mayank_Bairagi 2 ай бұрын
Sir please or bhi DSA se related playlist late rahiye full support h aapko❤
@codingcart
@codingcart 2 ай бұрын
Glad you liked it😊. Please do share with your friends too😊
@sahithvamsi8591
@sahithvamsi8591 2 ай бұрын
if suppose the cycle consists of duplicate values. This will not work right..
@ahmedaliouaziz796
@ahmedaliouaziz796 2 ай бұрын
great mic🤣
@shameersham4700
@shameersham4700 3 ай бұрын
Thank you
@codingcart
@codingcart 3 ай бұрын
Glad it helped😊. Please do share with your friends too😊
@sirishagch
@sirishagch 3 ай бұрын
Nice explanation!
@suresh.suthar.24
@suresh.suthar.24 3 ай бұрын
your videos are so helpful, thanks for sharing....
@codingcart
@codingcart 3 ай бұрын
Glad it helped😊. Please do share with your friends too😊
@yovomanolov96
@yovomanolov96 3 ай бұрын
Here is the easiest to understand for me logic of all: //Additional impl comments below private static void minimumBribes(List<Integer> q) { int count = 0; //bribesCounter boolean flag = false; for(int i = q.size(); i>=1; i--){ if(q.get(i-1) != i) { //is the last element different than i (5) if((i-2)>=0 && q.get(i-2)==i){ //we have single bribe occurring //swap the values when we have single bribe int swap1 = q.get(i-1); //latest unordered element that is not in the correct position int swap2 = q.get(i-2); //the element next to the latest element also not in the correct position. q.set(i-1, swap2); q.set(i-2, swap1); //bribe counter; count++; } else if ((i-3) >= 0 && q.get(i-3) == i){ //double bribe //i-3 is equal to i and i-2 is not //e.g. 2 1 | 5 (i-3) 3 (i-2) 4 (i-1) //swap operations int swap1 = q.get(i-1); //4 int swap2 = q.get(i-2); //3 int swap3 = q.get(i-3); //5 q.set(i-1, swap3); // 5 q.set(i-2, swap1); // 4 q.set(i-3, swap2); // 3 //bribe counter count+=2; } else { //more than 2 consecutive bribes flag = true; break; } } } System.out.println(flag ? "Too chaotic" : count); }
@anoops7974
@anoops7974 3 ай бұрын
Thank you so much. You saved my day. Great explanation and examples.
@ayushyacodes
@ayushyacodes 3 ай бұрын
On what grounds we decide that we need to travel in both the directions? i.e. forward as well as backwards? Because for this scenario of {5,4,3,2,1} if we consider then only 9 candies needs to be distributed instead of 15. I am not getting this part! 5,4,3,2,1 (Kids) 1,1,1,1,1 (Initial value of candies) 2,1, (1st iteration) 2,2,1 2,2,2,1, 2,2,2,2,1
@jimitshah7636
@jimitshah7636 3 ай бұрын
Don't have to worry for array out of bound in python? Like in first question loop was running from 0-len(s) and not 0 to len(s) -3
@jimitshah7636
@jimitshah7636 3 ай бұрын
Great playlist, highly recommended!
@codingcart
@codingcart 3 ай бұрын
Glad it helped😊. Please do share with your friends too😊
@jimitshah7636
@jimitshah7636 3 ай бұрын
Good explanation! ❤
@codingcart
@codingcart 3 ай бұрын
Glad it helped😊. Please do share with your friends too😊
@jimitshah7636
@jimitshah7636 3 ай бұрын
@@codingcart hey, i have just started with trees, and I am preparing for coding interview where i may get upto leetcode medium level of questions on trees (eg: convert binary tree to bst) . I am currently going with this trees playlist on this channel, what should my next steps be to work my way up to those medium level trees questions? (Btw I am good with array,hashset,hashmap,string,stacks, queues, list) Just trees are remaining.
@codingcart
@codingcart 3 ай бұрын
@jimitshah7636 Just go through this playlist, it will clear most of your doubts
@jimitshah7636
@jimitshah7636 3 ай бұрын
@@codingcart thank you!
@user-uj6nj9vo4j
@user-uj6nj9vo4j 3 ай бұрын
Best ❤
@codingcart
@codingcart 3 ай бұрын
Glad it helped😊. Please do share with your friends too😊
@MEHEDIHASSAN-lx5rx
@MEHEDIHASSAN-lx5rx 4 ай бұрын
Best explained video i have ever seen
@MEHEDIHASSAN-lx5rx
@MEHEDIHASSAN-lx5rx 4 ай бұрын
Finally i found my perfect channel
@renatofassarella4318
@renatofassarella4318 4 ай бұрын
is there any updated code?
@codingcart
@codingcart 4 ай бұрын
No buddy, they updated their page layout
@suedavid83
@suedavid83 4 ай бұрын
Great!!!!!! You are really good. Thanks for sharing this knowledgment from yours. Sue.
@tusharbansalm6710
@tusharbansalm6710 4 ай бұрын
Hi, I have a doubt with the question in hackerRank. In the function for pre-order they directly have root in parameter and the self keyword for object is missing. Can you please explain how it works?